"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropdownMultiselectView = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DropdownMultiselectView = _ref => {
  let {
    data,
    displayKey,
    displayValue,
    selectedItem,
    setSelectedItem,
    optionsContainer,
    selectContainer,
    itemContainer,
    loading = false,
    checkIcon = require('./check.png')
  } = _ref;
  const [isToggle, setIsToggle] = (0, _react.useState)(false);
  const handleSelect = content => {
    if (displayValue) {
      const findIfExist = selectedItem.find(item => item === content[displayValue]);
      if (findIfExist) {
        const index = selectedItem.indexOf(content[displayValue]);
        const temp = [...selectedItem];
        if (index !== -1) {
          temp.splice(index, 1);
          setSelectedItem(temp);
        }
      } else {
        setSelectedItem([...selectedItem, content[displayValue]]);
      }
    } else {
      const findIfExist = selectedItem.find(item => item === content);
      if (findIfExist) {
        const index = selectedItem.indexOf(content);
        const temp = [...selectedItem];
        if (index !== -1) {
          temp.splice(index, 1);
          setSelectedItem(temp);
        }
      } else {
        setSelectedItem([...selectedItem, content]);
      }
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: () => loading === false ? setIsToggle(!isToggle) : null,
    style: [{
      backgroundColor: '#f4f4f4',
      flexDirection: 'row',
      justifyContent: 'space-between',
      paddingHorizontal: 20,
      paddingVertical: 20
    }, selectContainer]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, selectedItem.length > 0 ? `Selected Item (${selectedItem.length})` : 'Select'), loading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, null) : isToggle ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: {
      width: 16,
      height: 16
    },
    source: require('./up-arrow.png')
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: {
      width: 16,
      height: 16
    },
    source: require('./down-arrow.png')
  })), isToggle ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      shadowColor: 'gray',
      shadowOffset: {
        width: 0,
        height: 1
      },
      shadowOpacity: 0.8,
      shadowRadius: 2,
      elevation: 3,
      overflow: 'hidden',
      backgroundColor: '#f4f4f4'
    }, optionsContainer]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: data,
    nestedScrollEnabled: true,
    renderItem: _ref2 => {
      let {
        item,
        index
      } = _ref2;
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        key: index
      }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
        onPress: () => handleSelect(item),
        style: [{
          flexDirection: 'row',
          justifyContent: 'space-between',
          padding: 20
        }, itemContainer]
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, item[displayKey]), selectedItem !== null && selectedItem !== void 0 && selectedItem.find(it => displayValue ? it === item[displayValue] : (it === null || it === void 0 ? void 0 : it.id) === (item === null || item === void 0 ? void 0 : item.id)) ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
        style: {
          width: 16,
          height: 16
        },
        source: checkIcon
      }) : null), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: {
          borderTopWidth: 2,
          borderTopColor: '#ebebeb',
          marginHorizontal: 20
        }
      }));
    }
  })) : null);
};
exports.DropdownMultiselectView = DropdownMultiselectView;
//# sourceMappingURL=index.js.map