import React, { useState } from 'react';
import { ActivityIndicator, FlatList, Image, Text, TouchableOpacity, View } from 'react-native';
export const DropdownMultiselectView = _ref => {
  let {
    data,
    displayKey,
    displayValue,
    selectedItem,
    setSelectedItem,
    optionsContainer,
    selectContainer,
    itemContainer,
    loading = false,
    checkIcon = require('./check.png')
  } = _ref;
  const [isToggle, setIsToggle] = useState(false);
  const handleSelect = content => {
    if (displayValue) {
      const findIfExist = selectedItem.find(item => item === content[displayValue]);
      if (findIfExist) {
        const index = selectedItem.indexOf(content[displayValue]);
        const temp = [...selectedItem];
        if (index !== -1) {
          temp.splice(index, 1);
          setSelectedItem(temp);
        }
      } else {
        setSelectedItem([...selectedItem, content[displayValue]]);
      }
    } else {
      const findIfExist = selectedItem.find(item => item === content);
      if (findIfExist) {
        const index = selectedItem.indexOf(content);
        const temp = [...selectedItem];
        if (index !== -1) {
          temp.splice(index, 1);
          setSelectedItem(temp);
        }
      } else {
        setSelectedItem([...selectedItem, content]);
      }
    }
  };
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => loading === false ? setIsToggle(!isToggle) : null,
    style: [{
      backgroundColor: '#f4f4f4',
      flexDirection: 'row',
      justifyContent: 'space-between',
      paddingHorizontal: 20,
      paddingVertical: 20
    }, selectContainer]
  }, /*#__PURE__*/React.createElement(Text, null, selectedItem.length > 0 ? `Selected Item (${selectedItem.length})` : 'Select'), loading ? /*#__PURE__*/React.createElement(ActivityIndicator, null) : isToggle ? /*#__PURE__*/React.createElement(Image, {
    style: {
      width: 16,
      height: 16
    },
    source: require('./up-arrow.png')
  }) : /*#__PURE__*/React.createElement(Image, {
    style: {
      width: 16,
      height: 16
    },
    source: require('./down-arrow.png')
  })), isToggle ? /*#__PURE__*/React.createElement(View, {
    style: [{
      shadowColor: 'gray',
      shadowOffset: {
        width: 0,
        height: 1
      },
      shadowOpacity: 0.8,
      shadowRadius: 2,
      elevation: 3,
      overflow: 'hidden',
      backgroundColor: '#f4f4f4'
    }, optionsContainer]
  }, /*#__PURE__*/React.createElement(FlatList, {
    data: data,
    nestedScrollEnabled: true,
    renderItem: _ref2 => {
      let {
        item,
        index
      } = _ref2;
      return /*#__PURE__*/React.createElement(View, {
        key: index
      }, /*#__PURE__*/React.createElement(TouchableOpacity, {
        onPress: () => handleSelect(item),
        style: [{
          flexDirection: 'row',
          justifyContent: 'space-between',
          padding: 20
        }, itemContainer]
      }, /*#__PURE__*/React.createElement(Text, null, item[displayKey]), selectedItem !== null && selectedItem !== void 0 && selectedItem.find(it => displayValue ? it === item[displayValue] : (it === null || it === void 0 ? void 0 : it.id) === (item === null || item === void 0 ? void 0 : item.id)) ? /*#__PURE__*/React.createElement(Image, {
        style: {
          width: 16,
          height: 16
        },
        source: checkIcon
      }) : null), /*#__PURE__*/React.createElement(View, {
        style: {
          borderTopWidth: 2,
          borderTopColor: '#ebebeb',
          marginHorizontal: 20
        }
      }));
    }
  })) : null);
};
//# sourceMappingURL=index.js.map